- Qt 5.15
- Qt GUI
- C++ Classes
- QTextLayout
- Qt 5.15.19 Reference Documentation

# Obsolete Members for QTextLayout

The following members of class QTextLayout are obsolete. They are provided to keep old source code working. We strongly advise against using them in new code.

## Public Functions

`(obsolete)` | QTextLayout(const QString &text, const QFont &font, QPaintDevice *paintdevice = nullptr)
`(obsolete)` QList<FormatRange> | additionalFormats() const
`(obsolete)` void | clearAdditionalFormats()
`(obsolete)` void | setAdditionalFormats(const QList<FormatRange> &formatList)

## Member Function Documentation

### QTextLayout::QTextLayout(const QString &text, const QFont &font, QPaintDevice *paintdevice = nullptr)

This function is obsolete. It is provided to keep old source code working. We strongly advise against using it in new code.

Identical to QTextLayout::QTextLayout(const QString &text, const QFont &font, const QPaintDevice *paintdevice)

### QList<FormatRange> QTextLayout::additionalFormats() const

This function is obsolete. It is provided to keep old source code working. We strongly advise against using it in new code.

Use formats() instead.

See also setAdditionalFormats() and clearAdditionalFormats().

### void QTextLayout::clearAdditionalFormats()

This function is obsolete. It is provided to keep old source code working. We strongly advise against using it in new code.

Use clearFormats() instead.

### void QTextLayout::setAdditionalFormats(const QList<FormatRange> &formatList)

This function is obsolete. It is provided to keep old source code working. We strongly advise against using it in new code.

Use setFormats() instead.

See also additionalFormats().